<template>
  <div class="main-container">
    <navigation-component class="proto navibar" />
    <div class="left-bar sidebar">
      <b-card title="Gallery">
        <p>
          Some quick example text to build on the card title and make up the bulk of the card's content.
        </p>
      </b-card>
      <b-card title="Dimension">
        <p>
          Some quick example text to build on the card title and make up the bulk of the card's content.
        </p>
      </b-card>
    </div>
    <main class="proto">
      <lexical-component />
      <b-card
        class="description"
        title="Description"
      >
        {{ lorem.slice(0,240) }}
      </b-card>
      <attributes-component />
    </main>
    <div class="right-bar sidebar">
      <b-card title="colours">
        <p>
          Some quick example text to build on the card title and make up the bulk of the card's content.
        </p>
      </b-card>
      <b-card title="Map">
        <p>
          Some quick example text to build on the card title and make up the bulk of the card's content.
        </p>
      </b-card>
    </div>
    <footer
      id="statusbar"
      class="proto"
    >
      statusbar
    </footer>
  </div>
</template>

<script>

  import NavigationComponent from "@/components/article/NavigationComponent.vue";
  import AttributesComponent from "@/components/article/AttributesComponent.vue";
  import LexicalComponent from "@/components/article/LexicalComponent.vue";

  export default {
    components: {
      NavigationComponent, AttributesComponent,LexicalComponent
    },
    data () {
      return {
        lorem: `
        Occaecat pariatur reprehenderit deserunt irure duis commodo. Occaecat cupidatat veniam voluptate velit est officia. Officia enim consequat commodo tempor quis non proident cillum ipsum adipisicing reprehenderit. Est nisi in ad magna quis consequat esse irure occaecat. Aute exercitation id enim consectetur veniam pariatur ipsum ea voluptate aute irure. In aliquip dolor exercitation anim.
Sunt ipsum duis veniam esse. Pariatur exercitation nulla sint elit irure veniam non veniam commodo. Aute incididunt ut aliquip exercitation. Id dolor cupidatat nisi est quis aute occaecat commodo Lorem ex pariatur. Commodo incididunt ex anim eu commodo voluptate proident aliquip commodo. Velit laboris esse esse veniam cupidatat commodo esse aute. Dolor laborum do reprehenderit labore cillum incididunt esse elit qui nisi aliquip quis laborum.
Elit ea labore sit proident sint dolore cupidatat dolore ea fugiat elit aliqua quis ea. Commodo deserunt culpa ad enim laborum proident ea excepteur non nulla. Irure irure aliquip elit cupidatat eiusmod esse dolor amet nulla pariatur laborum incididunt ex. Laborum mollit fugiat ut culpa.
Reprehenderit ut cillum labore sunt. Proident laborum dolore non esse deserunt Lorem nisi reprehenderit. Consectetur est ut dolor nulla veniam esse quis pariatur quis fugiat amet enim amet culpa. Ex consequat sunt ut duis laboris in aliqua Lorem elit est duis quis velit. Enim ipsum sit Lorem do nostrud nostrud reprehenderit sunt nostrud in.
        `
      }
    },
    mounted: function() {
      console.log("333");
      console.log(this.$root.currentFungus);
      this.$root.currentFungus.getFungusById(1);
      //console.log(app.currentFungus);
    }
  }
</script>

<style lang="scss" scoped>

.main-container {
  display: grid;
  padding: 10px;
  grid-template: auto 1fr auto / 200px 1fr 200px;
  height:100vh;
  grid-gap: 10px 10px;
  grid-template-areas:
    "nav nav nav"
    "leftbar main rightbar"
    "footer footer footer";
  
  .proto {
    background: #fff;
    text-align: center;
    vertical-align: middle;
    /* border-radius */
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    /* box-shadow */
    -webkit-box-shadow: rgba(0,0,0,0.2) 0px 1px 3px;
    -moz-box-shadow: rgba(0,0,0,0.2) 0px 1px 3px;
    box-shadow: rgba(0,0,0,0.2) 0px 1px 3px;
  }

  .left-bar {
    grid-area: leftbar;
  }

  .right-bar {
    grid-area: rightbar;
  }

  .sidebar {
    display: flex;
    flex-direction: column;
    background-color: initial;
    overflow: hidden;
    > .card {
      margin-bottom:10px;
    }
    > :last-child {
      margin: 0;
    }
  }

  .navibar {
    grid-area: nav;
  }

  main {
    grid-area: main;
    overflow: scroll;
    padding:10px;

    .description {
      text-align: left;
    }
  }

  #statusbar {
    grid-area: footer;
    text-align: left;
    padding:5px;
  }
}


</style>
